/** Creamos una imagen de prueba **/

#include <stdio.h>
#include "matrix.h"
#include "pnm.h"

int main( )
{
	MATRIX * Img;
	unsigned char *p;
	int i, j, flag=0;

	/** Reservar memoria para la imagen **/
	Img = matrix_allocate( 255, 200, 1 );

	for( i=0; i<255; i++ ) {
		p = (unsigned char *) Img->ptr[i];
		for( j=0; j<200; j++ ) {
			*p++ = 0;
		}
	}
	for( i=0; i<255; i++ ) {
		if ( !(i%10) ) flag = (++flag)%2;

		if ( flag ) {
			p = (unsigned char *) Img->ptr[i];
			for( j=0; j<200; j++ ) {
				*p++ = 255;
			}
		}
	}



	if ( !write_pnm( Img, "lineas.pgm" ) ) {
		fprintf( stderr, "Ok!\n" );
	}
	else
		fprintf( stderr, "Error!\n" );


	return 0;
}
