PROJ	= clasificador
LIBS	=  -lm
CFLAGS  = -c -g -Wall
LFLAGS  = 
CC	= gcc
#
#
OBJS = clasificador.o pnm.o matrix.o fill.o

all: $(PROJ)

$(PROJ): $(OBJS)
	$(CC) $(LFLAGS) -o $(PROJ) $(OBJS) $(LIBS)

$(OBJS): %.o: %.c
	$(CC) $(CFLAGS) $< -o $@

install:
	@echo "Installing $(PROJ)..."
	cp $(PROJ) $(HOME)/bin
	( cd $(HOME)/bin; chmod a+rx $(PROJ) )
	@echo "done"

clean:
	rm -f  *.o  $(PROJ)


